<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: src/examples/comparison_urdf_os.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e931c1a3f0014e624d0645a271726ad2.html">examples</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">comparison_urdf_os.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacecomparison__urdf__os"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html">comparison_urdf_os</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:adb19b070ccbcdbac32821eed4b799e0a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#adb19b070ccbcdbac32821eed4b799e0a">changeFloating</a> (osim_rpy, L_os)</td></tr>
<tr class="memdesc:adb19b070ccbcdbac32821eed4b799e0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Express the rotation matrix of a .osim free flyer joint into the .urdf global referential.  <a href="namespacecomparison__urdf__os.html#adb19b070ccbcdbac32821eed4b799e0a">More...</a><br /></td></tr>
<tr class="separator:adb19b070ccbcdbac32821eed4b799e0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27143b1d13408f811c192906d620bd4c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a27143b1d13408f811c192906d620bd4c">checkFreeFlyer</a> (vec)</td></tr>
<tr class="memdesc:a27143b1d13408f811c192906d620bd4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">(Not used anymore).  <a href="namespacecomparison__urdf__os.html#a27143b1d13408f811c192906d620bd4c">More...</a><br /></td></tr>
<tr class="separator:a27143b1d13408f811c192906d620bd4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1f7b00e26771a2785bdceb0a6324b70"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#ac1f7b00e26771a2785bdceb0a6324b70">findGroundJointId</a> (urdf_model)</td></tr>
<tr class="memdesc:ac1f7b00e26771a2785bdceb0a6324b70"><td class="mdescLeft">&#160;</td><td class="mdescRight">Short method to get the ground joint index of a Pinocchio model based on a .osim model.  <a href="namespacecomparison__urdf__os.html#ac1f7b00e26771a2785bdceb0a6324b70">More...</a><br /></td></tr>
<tr class="separator:ac1f7b00e26771a2785bdceb0a6324b70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dde7ba20811344488a178ff8050c1ba"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a3dde7ba20811344488a178ff8050c1ba">getDoc</a> (obj)</td></tr>
<tr class="memdesc:a3dde7ba20811344488a178ff8050c1ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get and print all the documentation of a Pinocchio object.  <a href="namespacecomparison__urdf__os.html#a3dde7ba20811344488a178ff8050c1ba">More...</a><br /></td></tr>
<tr class="separator:a3dde7ba20811344488a178ff8050c1ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03c7927b85544e8972f2cacac7064166"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a03c7927b85544e8972f2cacac7064166">getJointAxis</a> (urdf_model)</td></tr>
<tr class="memdesc:a03c7927b85544e8972f2cacac7064166"><td class="mdescLeft">&#160;</td><td class="mdescRight">(Not used anymore).  <a href="namespacecomparison__urdf__os.html#a03c7927b85544e8972f2cacac7064166">More...</a><br /></td></tr>
<tr class="separator:a03c7927b85544e8972f2cacac7064166"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07768d89882fa140b1bdad1eb849127b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a07768d89882fa140b1bdad1eb849127b">IKOsimFKURDF</a> (OS_model, urdf_model, urdf_data, D_parts_urdf, verbose=False)</td></tr>
<tr class="memdesc:a07768d89882fa140b1bdad1eb849127b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Do Inverse Kinematics on the .osim model thanks to the parameters saved into the OsimModel object, check if the .urdf model can reach the joint positions with Forward Dynamics.  <a href="namespacecomparison__urdf__os.html#a07768d89882fa140b1bdad1eb849127b">More...</a><br /></td></tr>
<tr class="separator:a07768d89882fa140b1bdad1eb849127b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a8ce66dc0769142127481c123498fc9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a7a8ce66dc0769142127481c123498fc9">moveListJoint</a> (Lname, Lcons, urdf_model, urdf_data, verbose=False)</td></tr>
<tr class="memdesc:a7a8ce66dc0769142127481c123498fc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Given a list of joints name Lname, a list of constraints to be reached Lcons, a Pinocchio model urdf_model and its associated data object urdf_data, execute an Inverse Kinematic operation in order to determine the configuration q to reach the constraints, if these constraints can be achieved.  <a href="namespacecomparison__urdf__os.html#a7a8ce66dc0769142127481c123498fc9">More...</a><br /></td></tr>
<tr class="separator:a7a8ce66dc0769142127481c123498fc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa10c1d4f7042fcd04d540de19d905ca8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#aa10c1d4f7042fcd04d540de19d905ca8">os2pi_Dpos</a> (D_osim, Meth=1)</td></tr>
<tr class="memdesc:aa10c1d4f7042fcd04d540de19d905ca8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Take position dictionnaries expressed in osim referential, and express them into .urdf referential.  <a href="namespacecomparison__urdf__os.html#aa10c1d4f7042fcd04d540de19d905ca8">More...</a><br /></td></tr>
<tr class="separator:aa10c1d4f7042fcd04d540de19d905ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074c54c360c8d40025faf1d3239302f9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a074c54c360c8d40025faf1d3239302f9">printConfig</a> (urdf_model, urdf_data)</td></tr>
<tr class="memdesc:a074c54c360c8d40025faf1d3239302f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the position and orientation of each of the joints of the .urdf model, expressed into the global referential associated with the .urdf.  <a href="namespacecomparison__urdf__os.html#a074c54c360c8d40025faf1d3239302f9">More...</a><br /></td></tr>
<tr class="separator:a074c54c360c8d40025faf1d3239302f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad68cc63455c3b9c6b55969e0b0225db0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#ad68cc63455c3b9c6b55969e0b0225db0">printQ</a> (urdf_model, q)</td></tr>
<tr class="memdesc:ad68cc63455c3b9c6b55969e0b0225db0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the value of each of the articulations of the .urdf model.  <a href="namespacecomparison__urdf__os.html#ad68cc63455c3b9c6b55969e0b0225db0">More...</a><br /></td></tr>
<tr class="separator:ad68cc63455c3b9c6b55969e0b0225db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a308c6279e11c25330b57c609535c9b42"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a308c6279e11c25330b57c609535c9b42">QOsimToQURDF</a> (OS_model, urdf_model, urdf_data, D_parts_urdf, lim_err=1e-6, verbose=False)</td></tr>
<tr class="memdesc:a308c6279e11c25330b57c609535c9b42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to apply the configuration of a given OsimModel to the .urdf model from which it is derived.  <a href="namespacecomparison__urdf__os.html#a308c6279e11c25330b57c609535c9b42">More...</a><br /></td></tr>
<tr class="separator:a308c6279e11c25330b57c609535c9b42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2427756087534625712fa6212047fe9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#ae2427756087534625712fa6212047fe9">staticDifference</a> (urdf_model, urdf_data, OS_model, lim_err=1e-6, verbose=True)</td></tr>
<tr class="memdesc:ae2427756087534625712fa6212047fe9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks that the placement of joints (w.r.t each of them and then w.r.t world) of the .urdf model is consistent with that of the .osim model from which it is derived.  <a href="namespacecomparison__urdf__os.html#ae2427756087534625712fa6212047fe9">More...</a><br /></td></tr>
<tr class="separator:ae2427756087534625712fa6212047fe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ff225d9876dccb5b1767ebf800bbb58"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a5ff225d9876dccb5b1767ebf800bbb58">testDynamicModel</a> (OS_model, urdf_model, urdf_data, D_parts_urdf, ntry=5, lim_err=1e-6, verbose=False)</td></tr>
<tr class="memdesc:a5ff225d9876dccb5b1767ebf800bbb58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Carries out a series of tests to check that the .urdf model conforms to the .osim model.  <a href="namespacecomparison__urdf__os.html#a5ff225d9876dccb5b1767ebf800bbb58">More...</a><br /></td></tr>
<tr class="separator:a5ff225d9876dccb5b1767ebf800bbb58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a949882fb90c3cc32bf3838b0c622a6c5"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a949882fb90c3cc32bf3838b0c622a6c5">D_parts_urdf</a> = {}</td></tr>
<tr class="memdesc:a949882fb90c3cc32bf3838b0c622a6c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary containing, for each joint name of the .urdf model, its joint parent index, the joint object associated with this name, and the placement of the joint in the referential of its parent joint.  <a href="namespacecomparison__urdf__os.html#a949882fb90c3cc32bf3838b0c622a6c5">More...</a><br /></td></tr>
<tr class="separator:a949882fb90c3cc32bf3838b0c622a6c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9943cdc47fcab4aaa9250f232906cba0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a9943cdc47fcab4aaa9250f232906cba0">geometry_path</a> = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/SimulationDataAndSetupFiles-4.0/Geometry&quot;</td></tr>
<tr class="memdesc:a9943cdc47fcab4aaa9250f232906cba0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the .vtp files associated with the .osim model.  <a href="namespacecomparison__urdf__os.html#a9943cdc47fcab4aaa9250f232906cba0">More...</a><br /></td></tr>
<tr class="separator:a9943cdc47fcab4aaa9250f232906cba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf06840bb7321db3b08b1b60a3792784"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#aaf06840bb7321db3b08b1b60a3792784">ik_path</a> = '/home/auctus/opensim_python/OpenSim/XML'</td></tr>
<tr class="memdesc:aaf06840bb7321db3b08b1b60a3792784"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the folder containing Inverse Kinematics configuration file.  <a href="namespacecomparison__urdf__os.html#aaf06840bb7321db3b08b1b60a3792784">More...</a><br /></td></tr>
<tr class="separator:aaf06840bb7321db3b08b1b60a3792784"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc468c70fb574ebd07287b38d0d0676d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#adc468c70fb574ebd07287b38d0d0676d">k</a></td></tr>
<tr class="separator:adc468c70fb574ebd07287b38d0d0676d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcee81bb965d20f90e0976ea8eb7eb8f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#abcee81bb965d20f90e0976ea8eb7eb8f">max_err</a> = -1</td></tr>
<tr class="memdesc:abcee81bb965d20f90e0976ea8eb7eb8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum error output of the staticDifference method.  <a href="namespacecomparison__urdf__os.html#abcee81bb965d20f90e0976ea8eb7eb8f">More...</a><br /></td></tr>
<tr class="separator:abcee81bb965d20f90e0976ea8eb7eb8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49519129ebf99a99f0bcf1d4a38db34e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a49519129ebf99a99f0bcf1d4a38db34e">max_err_dyn</a> = -1</td></tr>
<tr class="memdesc:a49519129ebf99a99f0bcf1d4a38db34e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum error output of the testDynamicModel method.  <a href="namespacecomparison__urdf__os.html#a49519129ebf99a99f0bcf1d4a38db34e">More...</a><br /></td></tr>
<tr class="separator:a49519129ebf99a99f0bcf1d4a38db34e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd81f15cdc9a8c2df4c5299727855ca"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a5cd81f15cdc9a8c2df4c5299727855ca">ntry</a> = 100</td></tr>
<tr class="memdesc:a5cd81f15cdc9a8c2df4c5299727855ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of random tests that should be executed.  <a href="namespacecomparison__urdf__os.html#a5cd81f15cdc9a8c2df4c5299727855ca">More...</a><br /></td></tr>
<tr class="separator:a5cd81f15cdc9a8c2df4c5299727855ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">OS_model</a> = <a class="el" href="classpyopsim_1_1OsimModel.html">pyopsim.OsimModel</a>(osim_filename,geometry_path,ik_path,setup_ik_file,trc_path)</td></tr>
<tr class="memdesc:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor of the OsimModel class.  <a href="namespacecomparison__urdf__os.html#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">More...</a><br /></td></tr>
<tr class="separator:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b6825c194e9b3e049311a24acd2f504"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a6b6825c194e9b3e049311a24acd2f504">osim_filename</a> = '/home/auctus/ospi2urdf/models/whole_body/wholebody.osim'</td></tr>
<tr class="memdesc:a6b6825c194e9b3e049311a24acd2f504"><td class="mdescLeft">&#160;</td><td class="mdescRight">Complete path to the .osim file (path + .osim file)  <a href="namespacecomparison__urdf__os.html#a6b6825c194e9b3e049311a24acd2f504">More...</a><br /></td></tr>
<tr class="separator:a6b6825c194e9b3e049311a24acd2f504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71b8e400cb53841923f199a292963b80"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a71b8e400cb53841923f199a292963b80">setup_ik_file</a> = &quot;Walk_Mkrs_IK.xml&quot;</td></tr>
<tr class="memdesc:a71b8e400cb53841923f199a292963b80"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the Inverse Kinematics configuration file.  <a href="namespacecomparison__urdf__os.html#a71b8e400cb53841923f199a292963b80">More...</a><br /></td></tr>
<tr class="separator:a71b8e400cb53841923f199a292963b80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51789b56e7ee8adcfa2d6d201380191a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a> = '/home/auctus/opensim_python/OpenSim/TRC/Walk_Mkrs.trc'</td></tr>
<tr class="memdesc:a51789b56e7ee8adcfa2d6d201380191a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to a trc file associated with the .osim file.  <a href="namespacecomparison__urdf__os.html#a51789b56e7ee8adcfa2d6d201380191a">More...</a><br /></td></tr>
<tr class="separator:a51789b56e7ee8adcfa2d6d201380191a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a442eba16923825e1fef6f9b6135cc0b5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a442eba16923825e1fef6f9b6135cc0b5">urdf_data</a> = urdf_model.createData()</td></tr>
<tr class="memdesc:a442eba16923825e1fef6f9b6135cc0b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pinocchio object containing all the values of the loaded URDF model which are the result of a computation.  <a href="namespacecomparison__urdf__os.html#a442eba16923825e1fef6f9b6135cc0b5">More...</a><br /></td></tr>
<tr class="separator:a442eba16923825e1fef6f9b6135cc0b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70071ca4064db762f822331f4ace366c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#a70071ca4064db762f822331f4ace366c">urdf_filename</a> = &quot;/home/auctus/catkin_ws/src/human_control/description/wholebody/wholebody_aCol.urdf.xacro&quot;</td></tr>
<tr class="memdesc:a70071ca4064db762f822331f4ace366c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Complete path to the .urdf file (path + .urdf file)  <a href="namespacecomparison__urdf__os.html#a70071ca4064db762f822331f4ace366c">More...</a><br /></td></tr>
<tr class="separator:a70071ca4064db762f822331f4ace366c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa61b9ef8f0749b6627e481cc5b62ed57"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecomparison__urdf__os.html#aa61b9ef8f0749b6627e481cc5b62ed57">urdf_model</a> = se3.buildModelFromUrdf(urdf_filename)</td></tr>
<tr class="memdesc:aa61b9ef8f0749b6627e481cc5b62ed57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pinocchio object containing all the physical description of the loaded URDF model.  <a href="namespacecomparison__urdf__os.html#aa61b9ef8f0749b6627e481cc5b62ed57">More...</a><br /></td></tr>
<tr class="separator:aa61b9ef8f0749b6627e481cc5b62ed57"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
